// Variables
#include "DHT.h"

#define DHTPIN 10    
#define DHTTYPE DHT11   // DHT 11
DHT dht(DHTPIN, DHTTYPE);

// define pins
#define BLUE  3
#define GREEN  5
#define RED  6


const int buttonPin = 8;
int buttonState = 0;
int lastButtonState = 0;
int count = 1; 


// Función de inicialización
void setup() {
  Serial.begin(9600);
  Serial.println(F("DHT11 TEST"));
  dht.begin();

  pinMode(RED, OUTPUT);
  pinMode(GREEN, OUTPUT);
  pinMode(BLUE, OUTPUT);

  pinMode(buttonPin, INPUT);

}


void loop() {
  buttonState = digitalRead(buttonPin);
  if (buttonState ==HIGH && lastButtonState ==LOW){
    if (count == 0){
      M();
      count = 1;
    } else {
      A();
      count = 0;
    }
  }

lastButtonState = buttonState;
  if (count== 0){
    M();
  } else{
    A();
  }
}


void M(){
  
  int B = analogRead(A3);
  int R = analogRead(A5);
  int G = analogRead(A0);


     analogWrite(BLUE, B);
      analogWrite(RED, R);
      analogWrite(GREEN, G);  

  
}


 void A(){

  delay(500);
  float h = dht.readHumidity();
  float t = dht.readTemperature();

  //Mapear la información de temperatura a humedad
  int HPMW = map(h, 0, 1024, 0, 255);
  int TPMW = map(t, 0, 1024, 0, 255);

  // Variable única con la información anterior
  int y = (HPMW + TPMW);

 // Conidción para cambiar de color
  if (y  <29){
    analogWrite(RED,  18);
    analogWrite(BLUE,  73);
    analogWrite(GREEN,  4);
   
  }else {
    analogWrite(RED,  191);
    analogWrite(BLUE,  8);
    analogWrite(GREEN,  106);
  }
   

  // Check if any reads failed and exit early (to try again).
  if (isnan(h) || isnan(t)) {
    Serial.println(F("Error en la lectura del sensor"));
    return;

    
  Serial.print(F("Humedad: "));
  Serial.print(h);
  Serial.print(F("%  Temperatura: "));
  Serial.print(t);
  Serial.print(F("°C "));
  Serial.println(y);
 

    
  }

  

}
